curl --request POST \
--url https://api.affinity.co/v2/lists/{listId}/fields/{fieldId}/dropdown-options/{dropdownOptionId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"text": "Series A"
}
'{
"errors": [
{
"code": "bad-request",
"message": "<string>"
}
]
}{
"errors": [
{
"code": "authorization",
"message": "<string>"
}
]
}{
"errors": [
{
"code": "not-found",
"message": "<string>"
}
]
}{
"errors": [
{
"code": "authentication",
"message": "<string>"
}
]
}Lists
Update a dropdown option for a List Field
Update a dropdown option for a List Field.
POST
/
v2
/
lists
/
{listId}
/
fields
/
{fieldId}
/
dropdown-options
/
{dropdownOptionId}
curl --request POST \
--url https://api.affinity.co/v2/lists/{listId}/fields/{fieldId}/dropdown-options/{dropdownOptionId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"text": "Series A"
}
'{
"errors": [
{
"code": "bad-request",
"message": "<string>"
}
]
}{
"errors": [
{
"code": "authorization",
"message": "<string>"
}
]
}{
"errors": [
{
"code": "not-found",
"message": "<string>"
}
]
}{
"errors": [
{
"code": "authentication",
"message": "<string>"
}
]
}Authorizations
A static Affinity API key, presented as a bearer token.
Path Parameters
List ID
Required range:
1 <= x <= 9007199254740991Field ID
Example:
"field-1234"
Dropdown option ID
Required range:
1 <= x <= 9007199254740991Body
application/json
- dropdownOptions.StandardDropdownOptionToBeUpdated
- dropdownOptions.RankedDropdownOptionToBeUpdated
- dropdownOptions.StatusDropdownOptionToBeUpdated
dropdowntype field may updatetext.ranked-dropdowntype field may updatetext,rank, and/orcolor.status-dropdowntype field may updatetext,rank,color,statusCategory, and/orwinRate.
Dropdown option text
Required string length:
1 - 255Response
No Content
Was this page helpful?